Proton Mail & Calendar
2292 results found
-
Filter Categories/Sub Filters
When adding entries into a filter, allow to create sub filters. This would be useful if: The domain has multiple addresses, and they could be filtered to go where they need to go. You could keep the max 50 main filters, but you could have a higher limit of sub filters. You could also create Filter categories, where you could add various domains. This would be similar to sub filters, but you could define/have more granular control of where this and that mail can go. It could also be a simple way to know what those addresses for.
17 votes -
Dragging events in Android app
Being able to drag events to other time slots without needing to open the event and manually change the time would be great!
17 votes -
Linux arm64 Builds
adding Linux arm64 builds
17 votes -
Turn off "set as default" in email
I get a big "set as default" banner at the top of Proton mail any time I open it. I can dismiss it but it comes back with the next restart of the application.
I am not ready to make Proton my default yet and it would be nice to be able to dismiss this permanently, or even have it pop up once a month or something.
This is in Windows 10.
Thanks!17 votes -
Improve Proton Calendar Widget on iOS
Wouldn't it be nice to improve iPhone's default widget?
Today it only shows events for the current day, while it would be desirable to show events for the next 1/2 days as well (like the Apple calendar widget).
I think this is an easy feature to implement and would benefit all users.
17 votes -
Tasks in Proton Calendar
The Idea
I would love to see Proton Calendar evolve into a unified productivity hub by integrating a native task and project management layer — think the best of Microsoft To Do and Microsoft Planner, but built with the privacy-first DNA that makes Proton what it is.
What I Am Proposing
A task management module embedded directly inside Proton Calendar that allows users to:
Create and assign tasks with due dates, priorities, and labels — visible alongside calendar events in a single, unified view.
Organise tasks into project boards — simple Kanban-style columns (To Do / In Progress / Done)…
16 votes -
Protect Main E-Mail Address from leaking
Add an option in the settings to protect the main e-mail address from being leaked. When this option is turned on and I accidentily send an E-Mail which would reveal the default/main e-mail to the recipient the server would not send that e-mail and notify me that I need to use a reverse alias. Additionally, I think it would be nice to be able to select e-mails that differ from the main/default e-mail for protection, as some people might have multiple addresses they would want to protect from leaking.
16 votes -
Displaying the date on the icon of the calendar app
Just like the iOS calendar app : the icon displays the date (just the day) so we always have it at a glance
16 votes -
Push notification and read status auto sync across iOS, iPadOS and MacOS
Automatically synchronise email read status and push notifications between devices. If I read an email on my iPad, the badge and push notification for Proton Mail app should be automatically cleared on my other devices (Mac, iPhone and iPad). I shouldn’t have to manually clear the notifications and badges on each individual device. This is similar for the existing requests for “sync Android notifications properly” but I wanted to create a separate request specifically for Apple devices. Thank you.
16 votes -
Add Advanced Sieve Extensions: Mailbox, Notifications, Body Filtering...
Proton Mail's Sieve implementation is missing several powerful RFC-standard extensions that would unlock advanced email automation.
Here are the key missing features: Mailbox Creation and Checking (RFC5490, RFC9042) - Automatically create folders and organize emails by sender domain without manual setup.
Notifications (RFC5435/RFC5436) - Send SMS or email notifications when specific emails arrive instead of just filing them.
Body Content Filtering (RFC5173) - Filter emails based on message body content, not just headers, for smarter spam detection.
Edit Headers (RFC5293) - Modify or add custom headers to emails as they arrive.
File Carbon Copy (RFC8580) - Keep automatic copies of…
16 votes -
Security or biometric lock for calendar
The only phone app that doesn't have a security lock in order to access (once already logged in) is the calendar. Assuming the worst and a bad actor steals your device and gets access to the phone, they have unfettered access to the calendar. Piecing data together via the calendar (data aggregation) can quickly compromise a person's identity, their circle of friends/associates, patterns, whereabouts on given days and times, etc. Having a security or biometric lock on the calendar helps add another level of OPSEC.
16 votes -
Unlimited custom‑domain forwarding for paid Proton Unlimited Mail accounts
Unlimited custom‑domain forwarding for paid Proton Mail accounts
Brief request
Since switching to Proton Mail, I’ve noticed a missing feature: the ability to forward an unlimited number of addresses from my own domain (e.g., whatever@mydomain.com).
Currently, for Proton Unlimited, each forwarding address must be one of the 15 “authorized” addresses listed in the account settings. For a paid plan this restriction feels annoying.Your strategy, is may be to push people to subscribe for Proton Family, which has a limit of 90 adresses e-mail/alias. But come on, you push too far.
…Detailed description I would like to be able to16 votes -
Filter search ability
When searching through the proton mail filters, you could search and see if you have duplicate entries, or say you want to add an entry to an existing filter, but are unsure if you may already have it already.
16 votes -
Feature request: ability to change main account address
Hello,
currently, in Proton Mail, it’s not possible to delete the email address used during the registration process. It would be very useful to have the option to switch the entire account to a different primary address, and remove the original one if it’s no longer needed.
This would give users more flexibility in managing their online identity, for example when the original address becomes obsolete or no longer fits their current needs.
16 votes -
Add support for ntfy push notifications
We should not have to use google play services to get notifications. Luckily there is ntfy.sh which is an open source alternative. Apps like Element already support it.
16 votes -
Event cancellation and rescheduling.
When an appointment or event is cancelled or rescheduled I often need a record of the originally scheduled day and time.
At minimum I would like the ability to add strikethrough text to the event title, so that I know that the event was cancelled.
Ideally I would like a cancel button (next to the delete and edit buttons) that strikes the event title and turns off notifications, and asks if I would like to reschedule. If I reschedule, it will duplicate the original event and allow me to set a new date (and modify the other settings, if needed).…
16 votes -
Apply actions (apply label, delete, archive) to all results
I imported a lot of mails from gmail and I would like to do some merging and reorganizing of labels.
But for this, I would need the ability to do actions (apply label, delete, archive, move to folder, etc) on all the result of a search.
Since the main criteria I would need is existing labels, I can't seem to use Sieve filter for this, so I would like to be apply to select a label or any other search and apply labels on all the results rather than page by page currently.16 votes -
Calendar default notification customisation
Within settings for new Calendar Events, allow the default notification medium (email / notification etc.) be set and duration.
16 votes -
Text formatting for Android App (Bullets, Bold/Underline/Italics, etc)
ProtonMail on Android desperately NEEDS text formatting.
It's actually unbelievable this isn't already a feature for a paid service. I don't know of any other prominent email provider that doesn't have formatting as a feature. This is a very basic feature for an email service, I hate that I have to draft emails in a separate app and then paste them into Proton. It's also frustrating knowing that the web browser version and Proton Drive documents apps have formatting, but the email app does not.
Very disappointed in this and the lack of any communication from Proton showing they are…
15 votes -
Block off unavailable days across all booking pages
Use case: I have multiple booking pages in Proton Cal. I am traveling out of town for 9 days. How do I quickly tell my booking pages to block off that 9 day period as unavailable? There's currently no way I can see how to turn off days other than creating events to block out that time.
Booking all day events for 9 days would be annoying, and what if I go away for a month? Then I'd need to create 30 all day events? Would be good to have a button built into the calendar maybe close to booking…
15 votes
- Don't see your idea?